

var maxAnimationTime = 30 // max banner duration (specs), 0 = no loop
var buttonActivity = true; // toggle rollover animation on/off, use toggleButtonActivity(); to toggle
var buttonActivityOnBanner = true; // rollover animation on whole banner (not just on button)
var developmentmode = true // set true/false to turn on logs // use log("variable", variable)
var tlMouseMovement




///////////////////// default ///////////////////// 

function init() {
	log("init", "banner")
	setMasterTimeline();
	checkLoadedImages(); // check if all images are loaded (optional)
	CSSPlugin.defaultForce3D = false;
	// hello()
}

function setTools(){
/*	createMouseMovement();*/
	centerElements(); // centers all elements width class "centerElement"
	centerElementToStage(); // centers all elements to Stage width class "centerElementToStage"
	checkCanvasSize(); // canvasWidth/canvasHeight (optional)
	checkWindowSize(); // canvasWidth/canvasHeight (optional)
/*	createElement("dotsContainer", "Dots", 0)*/
	createTimeLine();

}

function setMasterTimeline(){
	master = new TimelineMax({
			onStart: function() {
								loopDuration = master.duration() / master.timeScale()	
								maxLoops = Math.floor(maxAnimationTime/loopDuration);

								log("loopDuration", loopDuration)
								log("maxAnimationTime", maxAnimationTime)
								log("maxLoops", maxLoops)
								log("start", "animation")
		},
			// repeat:2,

		});
}

///////////////////// animations ///////////////////// 

var tl = new TimelineMax();

function frame1(){

		tl.to("#overlay", .5,{ autoAlpha:0},0);
/*		tl.from(["#bg","#bol1","#bol2","#bol3",], .6,{y:10,x:-30, ease: Power2.easeInOut}, 0);*/
		tl.to("#bol1", .35,{ opacity:0.3 }, 0);
		tl.to("#bol2", .35,{ opacity:0.6 }, 0);
		tl.to("#bol3", .35,{ opacity:1 }, 0);

		tl.to("#bol1", .35,{ opacity:1 }, .35);
		tl.to("#bol2", .35,{ opacity:0.3 }, .35);
		tl.to("#bol3", .35,{ opacity:0.6 }, .35);

		tl.to("#bol1", .35,{ opacity:0.6 }, .7);
		tl.to("#bol2", .35,{ opacity:1 }, .7);
		tl.to("#bol3", .35,{ opacity:0.3 }, .7);

		tl.to("#bol1", .35,{ opacity:0.3 }, 1.05);
		tl.to("#bol2", .35,{ opacity:0.6 }, 1.05);
		tl.to("#bol3", .35,{ opacity:1 }, 1.05);

		tl.to("#bol1", .35,{ opacity:1 }, 1.4);
		tl.to("#bol2", .35,{ opacity:0.3 }, 1.4);
		tl.to("#bol3", .35,{ opacity:0.6 }, 1.4);

		tl.to("#bol1", .35,{ opacity:0.6 }, 1.75);
		tl.to("#bol2", .35,{ opacity:1 }, 1.75);
		tl.to("#bol3", .35,{ opacity:0.3 }, 1.75);

		tl.from("#sms", .5,{ autoAlpha:0, scale:0.5, ease: Power2.easeInOut, transformOrigin:"116px 99px" }, 1.75);



		tl.from("#frame2", .5,{ autoAlpha:0, ease: Power1.easeOut }, 3.5);
		tl.from("#txt1", 1,{y:-5, autoAlpha:0, ease: Power2.easeOut }, 3.5);
		tl.to("#txt1", .5,{y:5, autoAlpha:0, ease: Power2.easeIn }, 5.5);

		tl.from("#frame3", .5,{ autoAlpha:0, ease: Power1.easeOut }, 5.75);
		tl.from("#txt2a", 1,{y:-5, autoAlpha:0, ease: Power2.easeOut },5.75);
		tl.from("#txt2b", 1,{y:0, autoAlpha:0, ease: Power2.easeIn },6.75);
		tl.to("#txt2a", .5,{y:5, autoAlpha:0, ease: Power2.easeIn }, 8.25);
		tl.to("#txt2b", .5,{y:5, autoAlpha:0, ease: Power2.easeIn }, 8.25);


		tl.from("#txt3", 1,{autoAlpha:0, ease: Power2.easeIn}, 8.75);

		tl.from("#logo", .5,{ autoAlpha:0, y:-20, ease: Power2.easeOut},8.75);

		tl.from("#man", .5,{ autoAlpha:0, ease: Power2.easeIn},8.75);


		tl.from("#blink", .25,{ autoAlpha:0},10);
		tl.to("#blink", .25,{ autoAlpha:0},10.5);

		tl.to("#blink", .25,{ autoAlpha:1},12);
		tl.to("#blink", .25,{ autoAlpha:0},12.5);


	return tl;
}


function frame2(){

	tl.from("frame2", .5,{ autoAlpha:0 }, 0);



return tl;
}


var tlBtn = new TimelineMax({paused:true}); 





function loop(){
	var tl = new TimelineMax({id:"loop"})

/*		tl.addCallback(toggleButtonActivity,0)*/
	return tl;
}

function createTimeLine() {

	master.add(frame1(),"+=0");	
	// master.add(frame2(), 3);	
	// master.add(frame3(),4);	

	// default
	master.addCallback(checkLoops,"+=2")
	master.add(loop(),"+=2");

}


addListeners = function() {
	btn.addEventListener('click', ExitHandler, false);
	clickArea.addEventListener('click', ExitHandler, false);
	clickArea.addEventListener('mouseover', rollOver, false);
	clickArea.addEventListener('mouseout', rollOut, false);
	}


    ExitHandler = function(e) {
		//Call Exits
		EB.clickthrough();
		  }

	 function rollOver() {
	  tlBtn.play();
	 }          

	function rollOut() {
	  tlBtn.reverse();
	 }  