var loopDuration
var maxLoops
var canvasWidth
var canvasHeight
var loops = 1
var master
var exitUrl

///////////////////// SETUP ///////////////////// 
function setupBanner(){
    addClick();                 
    init();
            
}
///////////////////// addclick ///////////////////// 

function addClick () {

    if (!buttonActivityOnBanner){
/*    button.addEventListener('mouseover', rollOver, false);
    button.addEventListener('mouseout', rollOut, false);*/

    }

    else {

/*    button.addEventListener('mouseover', rollOver, false);
    button.addEventListener('mouseout', rollOut, false);*/
    banner.addEventListener('mouseover', rollOver, false);
    banner.addEventListener('mouseout', rollOut, false);

    }

};

///////////////////// load images ///////////////////// 

function checkLoadedImages() {
    master.pause();
    var elementList = document.getElementsByTagName("img");
    var totalImages = document.getElementsByTagName("img").length

    log("total images", totalImages)  

    for (i = 0; i < elementList.length; i++) {
        var element = elementList[i].getAttribute("src");
        loadImg(element);        
    }
    
    function loadImg(element){
    
        var image = new Image();
        
        image.onload = function () {
        
            log("loaded:", element)  
            totalImages--;
            
            if (totalImages === 0){
                master.play();
                log("Loaded:", "allImagesLoaded")
                setTools();          
            }
        }
        
        image.onerror = function () {
            
            log("error loading:", element)  

        }
        
        image.src = element;
    }
};

///////////////////// TOOLS ///////////////////// 

function checkLoops() {
            
    if (loops === maxLoops || maxLoops === 0) {
        master.pause();
        TweenMax.killAll();
    }
  
    loops++
};

function toggleButtonActivity() {
    buttonActivity = !buttonActivity;
}

function stopAllTweens() {
    TweenMax.killAll();
};

function stopAllTweensInDiv() {
    TweenMax.killChildTweensOf(document.getElementById("#DIV"));
}

function stopAllTweensInObject() {
    TweenMax.killTweensOf(myObject);
}

function randomRange(min, max) {
    return min + Math.random() * (max - min);
};

function randomInt(min, max) {
    return Math.floor(min + Math.random() * (max - min + 1));
};

function checkCanvasSize() {
    canvasWidth = document.getElementById('banner').offsetWidth;
    canvasHeight = document.getElementById('banner').offsetHeight;
    log("canvasWidth" ,canvasWidth)
    log("canvasHeight" ,canvasHeight)    
};

function checkWindowSize() {
    windowWidth = window.innerWidth;
    windowHeight = window.innerHeight;
    log("windowWidth" ,windowWidth)
    log("windowHeight" ,windowHeight)
};

function swapZindexToTop() {
    var highest = 0

    $("div, img, button, video").each(function(index) {

        var currentZindex = parseInt($(this).css("z-index"));
        if (currentZindex > highest) {
            highest = currentZindex
        }
    });
    
    return highest + 1
}

function log(name, element){
    if (developmentmode){
        if(element === undefined){
            element = ""
        }
        console.log(name, element)
    }
}

function centerElements(){

        TweenMax.set(".centerElement", {xPercent:-50, yPercent:-50})
};

function centerElementToStage(){

        TweenMax.set(".centerElementToStage", {left:"50%", xPercent:-50, top:"50%", yPercent:-50})

};

function clipText(){


    var elementList = document.querySelectorAll(".clip");

    for (i = 0; i < elementList.length; i++) {

        var element = elementList[i];

        var originalWidth = parseInt(element.offsetWidth)
        var originalHeight = parseInt(element.offsetHeight)

        element.style.clip = "rect(0px " + originalWidth + "px " + originalHeight + "px 0px)";
        element.style.overflow = "hidden";
/*        log("original width wrapper", originalWidth)
        log("original height wrapper", originalHeight)*/

    }

}


function resizeForRetina(){

    var elementList = document.querySelectorAll(".resizeForRetina");

    for (i = 0; i < elementList.length; i++) {

        var element = elementList[i];

        var originalWidth = parseInt(element.offsetWidth)
        var originalHeight = parseInt(element.offsetHeight)

/*        log("original width image" + elementList[i].getAttribute("src"), originalWidth)
        log("original height image" + elementList[i].getAttribute("src"), originalHeight)*/

        element.style.width =  originalWidth/2 + "px"
        element.style.height = originalHeight/2 + "px"
    }

}


function mouseMovement(){

    $( "#banner" ).on('mousemove', function (e) {
        var mouseMoving = true;
/*      mouseX = e.offsetX/canvasWidth;
        mouseY = e.offsetY/canvasHeight;*/

        mouseX = e.offsetX;
        mouseY = e.offsetY;
        
        mouseCenterX = (canvasWidth/2) - mouseX;
        mouseCenterY = (canvasHeight/2) - mouseY;
        
        update();


    });
    
    function update(){
        if (buttonActivity){


/*    tlMouseMovement.progress(Math.max(0, mouseX)); */
        TweenMax.to(["#packshot"],.3,{x:mouseCenterX/25, y:mouseCenterY/25})
        TweenMax.to(["#earBuds", "#earBudsOff"],.3,{x:mouseCenterX/55})
        TweenMax.to(["#bg","#bgOverlay", "#highlight"],.3,{x:mouseCenterX/65, y:mouseCenterY/65})
        TweenMax.to("#light",.3,{x:-mouseCenterX/20, y:-mouseCenterY/35})
}

    }
};



///////////////////// buttons ///////////////////// 



function rollOver() {
    if (buttonActivity){
        log("rollover")

/*        
        TweenMax.to("#packshot",.5,{yPercent:-2, scale:1.02, ease:Power3.easeOut})*/
   /*     TweenMax.to("#packshot",.6,{scaleY:1.1, ease:Power3.easeOut})*/
        TweenMax.to("#vignet",.4,{autoAlpha:1, ease:Power2.easeIn})
        TweenMax.to("#light",.3,{autoAlpha:.7, ease:Power2.easeOut})

    }

            TweenMax.set("#buttonActive", {display:"block"},0);
        TweenMax.set("#buttonInactive", {display:"none"},0);
};

function rollOut() {
    if (buttonActivity){
        log("rollout")
/*        TweenMax.to("#packshot",.5,{yPercent:0, y:-5, x:0, scale:1, ease:Power2.easeOut})
        TweenMax.to(["#bg","#bgOverlay", "#highlight", "#light", "#earBuds", "#earBudsOff"],.5,{x:0, y:0, ease:Power2.easeOut})*/
        TweenMax.to("#light",.3,{autoAlpha:.8, ease:Power2.easeOut})
        TweenMax.to("#vignet",.6,{autoAlpha:0, ease:Power2.easeIn})

    }
            TweenMax.set("#buttonInactive", {display:"block"},0);
        TweenMax.set("#buttonActive", {display:"none"},0);
};